s9_level_hints.levels["Level 6"] = function()
	return
	{
		miniscenes
		({
			level06_miniscene_casket = 
			{
				IF(state("Door_wardrobe_left","left01"), click("Door_wardrobe_left")),
				miniscene("Casket")
			},
			level06_miniscene_box = 
			{
				IF(state("Door_wardrobe_right","right01"), click("Door_wardrobe_right")),
				miniscene("area_box")
			}
		}),
		
		IF(state("Switch","switch01"), click("Switch")),
		
		-- собираем бутылки
		take("Bottle01"),
		take("Bottle04"),
		take("Bottle05"),
		take("Bottle06"),
		take("Bottle07"),
		take("Bottle10"),
		IF(on_level("Bottle02"),
		{
			IF(state("Door_wardrobe_right","right02"), click("Door_wardrobe_right")),
			take("Bottle02") 
		}),
		IF(on_level("Bottle03"),
		{
			IF(state("Door_wardrobe_right","right01"), click("Door_wardrobe_right")),
			take("Bottle03") 
		}),
		IF(on_level("Bottle09"),
		{
			IF(state("Curtain","curtain01"), click("Curtain")),
			take("Bottle09"),
		}),	
		IF(on_level("Bottle08"),
		{
			IF(state("Curtain","curtain01"), click("Curtain")),
			take("Bottle08"),
		}),
		IF(state_in_inv("Bottle_inv", "bottle_inv10"), 
		{
			IF(state("Door_wardrobe_right","right02"), click("Door_wardrobe_right")),
			click("Bin", "Bottle_inv"),
		}),
		
		-- кладем одежду в шкаф
		take("Clothes01"),
		IF(in_inv("Clothes01"),
		{
			IF(state("Door_wardrobe_left","left01"), click("Door_wardrobe_left")),
			click("area_clothes", "Clothes01")
		}),
		
		-- шляпу на место
		take("Hat02"),
		click("coatrack", "Hat02"),
		
		-- полить цветок
		take("Bottle_for_water"),
		IF(in_inv("Bottle_for_water"),
		{
			IF(state("Curtain","curtain01"), click("Curtain")),
			click("Flower", "Bottle_for_water")
		}),
		
		-- прибираемся
		-- выкидываем окурки
		take("Ash_tray"),
		IF(in_inv("Ash_tray"), 
		{
			IF(state("Door_wardrobe_right","right02"), click("Door_wardrobe_right")),
			click("Bin", "Ash_tray"),
		}),
		-- сортируем носки
		IF(state("Sock","sock01"),
		{
			IF(state("Door_wardrobe_left","left01"), click("Door_wardrobe_left")),
			minigame("Sock")
		}),
		-- чистим картину
		take("Sponge"),
		click("aquarium", "Sponge"),
		click("Picture", "Sponge_with_water"),
		
		
		-- собираем телефон
		IF(on_level("Mobile_phone_empty"),
		{
			IF(state("Door_wardrobe_right","right01"), click("Door_wardrobe_right")),
			take("Mobile_phone_empty")
		}),
		on_scene("level06_miniscene_casket", take("Sim")),
		on_scene("level06_miniscene_box", take("Battery")),
	}	
end
